Preview CRM CSV import
POST
/v1/crm/importsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsoncontentstringAlias for csv
csvstringCSV text with a header row
object_kindstringrequiredrowsobject[] | nullResponses
200OK
committed_atstringcommitted_countinteger<int64>requiredcreated_atstringrequiredidstringrequiredobject_kindstringrequiredpartial_behaviorstringrequiredpreviewCRMImportPreviewrequiredShow propertiesHide properties
headersstring[] | nullrequiredinvalid_rowsinteger<int64>requiredpartial_behaviorstringrequiredrow_errorsCRMImportRowError[] | nullrequiredShow propertiesHide properties
Array of
CRMImportRowErrorfieldstringmessagestringrequiredrow_numberinteger<int64>requiredrowsobject[] | nullrequiredtotal_rowsinteger<int64>requiredvalid_rowsinteger<int64>requiredrow_errorsCRMImportRowError[] | nullrequiredShow propertiesHide properties
Array of
CRMImportRowErrorfieldstringmessagestringrequiredrow_numberinteger<int64>requiredskipped_countinteger<int64>requiredsource_formatstringrequiredstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/imports" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"csv": "string",
"object_kind": "string",
"rows": [
{}
]
}'const response = await fetch("/v1/crm/imports", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"content": "string",
"csv": "string",
"object_kind": "string",
"rows": [
{}
]
})
});import requests
response = requests.post(
"/v1/crm/imports",
headers={
"Content-Type": "application/json"
},
json={
"content": "string",
"csv": "string",
"object_kind": "string",
"rows": [
{}
]
},
)Response
{
"committed_at": "string",
"committed_count": 0,
"created_at": "string",
"id": "string",
"object_kind": "string",
"partial_behavior": "string",
"preview": {
"headers": [
"string"
],
"invalid_rows": 0,
"partial_behavior": "string",
"row_errors": [
{
"field": "string",
"message": "string",
"row_number": 0
}
],
"rows": [
{}
],
"total_rows": 0,
"valid_rows": 0
},
"row_errors": [
{
"field": "string",
"message": "string",
"row_number": 0
}
],
"skipped_count": 0,
"source_format": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}